Package org.apache.lucene.sandbox.search

# Class QueryLeafProfilerBreakdown

java.lang.Object
org.apache.lucene.sandbox.search.QueryLeafProfilerBreakdown

public class QueryLeafProfilerBreakdown extends Object
A record of timings for the various operations that may happen during query execution. A node's time may be composed of several internal attributes (rewriting, weighting, scoring, etc).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryLeafProfilerBreakdown()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final AggregatedQueryLeafProfilerResult`
  `getLeafProfilerResult(Thread thread)`
  `org.apache.lucene.sandbox.search.QueryProfilerTimer`
  `getTimer(QueryProfilerTimingType type)`
  `final Map<String,Long>`
  `toBreakdownMap()`
  Build a timing count breakdown.
  `final long`
  `toTotalTime()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueryLeafProfilerBreakdown

    public QueryLeafProfilerBreakdown()
    Sole constructor.

- ## Method Details

  - ### getTimer

    public org.apache.lucene.sandbox.search.QueryProfilerTimer getTimer(QueryProfilerTimingType type)

  - ### toBreakdownMap

    public final Map<String,Long> toBreakdownMap()
    Build a timing count breakdown.

  - ### getLeafProfilerResult

    public final AggregatedQueryLeafProfilerResult getLeafProfilerResult(Thread thread)

  - ### toTotalTime

    public final long toTotalTime()